View Issue Details

IDProjectCategoryView StatusLast Update
15722Bug reportsSurvey editingpublic2020-01-28 17:44
Reportertpartner Assigned Tomarkusfluer 
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.0-RC14 
Target Version4.0.x 
Summary15722: Answers not sorted correctly in list-radio question
Description

When using single-digit answer codes they are not sorted correctly. If I have answer codes 1, 2, 3, 10, the answer with code 10 is inserted after code 1, regardless of the sort order in the admin GUI.

See screen-cast - https://screencast-o-matic.com/watch/cYVoFuv5B8

Sample survey attached.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Activities

tpartner

tpartner

2020-01-15 19:35

developer  

cdorin

cdorin

2020-01-16 12:58

manager   ~55316

Last edited: 2020-01-16 13:00

View 3 revisions

@JHoeck, could you please take a look at this one? I was able to reproduce.

The answer options should be displayed in the correct order when the question is previewed/in the active mode.

markusfluer

markusfluer

2020-01-22 13:03

administrator   ~55428

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29426

lime_release_bot

lime_release_bot

2020-01-28 17:44

administrator   ~55541

Fixed in Release 4.1.0+200128

Related Changesets

LimeSurvey: master 7feca945

2020-01-20 16:38:00

markusfluer

Details Diff
Fixed issue 15722: Answers not sorted correctly in list-radio question Affected Issues
15722
mod - application/controllers/admin/questionedit.php Diff File
mod - application/models/Question.php Diff File
mod - assets/packages/questioneditor/build.min/css/main.css Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build.min/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js Diff File
mod - assets/packages/questioneditor/build/js/questionedit.js.map Diff File
mod - assets/packages/questioneditor/src/components/subcomponents/_answeroptions.vue Diff File

Issue History

Date Modified Username Field Change
2020-01-15 19:35 tpartner New Issue
2020-01-15 19:35 tpartner File Added: limesurvey_survey_331186(1).lss
2020-01-16 12:51 cdorin Assigned To => cdorin
2020-01-16 12:51 cdorin Status new => assigned
2020-01-16 12:57 cdorin Assigned To cdorin => JHoeck
2020-01-16 12:58 cdorin Note Added: 55316
2020-01-16 13:00 cdorin Note Edited: 55316 View Revisions
2020-01-16 13:00 cdorin Note Edited: 55316 View Revisions
2020-01-17 15:33 JHoeck Assigned To JHoeck => cdorin
2020-01-22 13:03 markusfluer Changeset attached => LimeSurvey master 7feca945
2020-01-22 13:03 markusfluer Note Added: 55428
2020-01-22 13:03 markusfluer Assigned To cdorin => markusfluer
2020-01-22 13:03 markusfluer Resolution open => fixed
2020-01-28 17:44 lime_release_bot Note Added: 55541
2020-01-28 17:44 lime_release_bot Status assigned => closed